//___________________________________________________________________
//
//                         Class FiFo
//___________________________________________________________________

class FiFo		// is a First-in-First-out buffer class.
{
	bool allocated, _overflow;
	int size, expand_size;
	NodePP base, max, in, out;

	public:
		FiFo(int expand_size_) 
		{	expand_size=expand_size_;
			allocated=_overflow=false; 
			size=0; 
			base=max=in=out=0; 
			expand();
		}
		~FiFo();

		FiFo &operator<<(const NodeP val);
		FiFo &operator>>(NodeP &val);

		operator bool() {return in!=out;}
		bool overflow() {return _overflow;}
		void expand();
};

#define FiFo_included
