#ifndef Node_included
	#include "Node.h"
#endif

class Recorder;

class GraphicNode: public Node
{
	public:
		Recorder *recorder;

	public:
		static const GraphicNode aGraphicNode;

		operator_new;
		GraphicNode(): Node(GRAPHIC) {}
		GraphicNode(Recorder *recorder_);

		void free();

		void setPtrs();
		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);

		StringP string();
		StringP _typeof();
};

#define Bitmap_included
