#ifndef Node_included
	#include "Node.h"
#endif

#ifndef Int16_included

class Int16: public Node
{
	public: 
		short int_;
		static const short digits, min, max;
		static const Int16 aInt16;

		operator_new;
		Int16():        Node(INT16), int_(0) {}
		Int16(short i): Node(INT16), int_(i) {}

		wxDataInputStream &read(wxDataInputStream &istr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);

		StringP   string();
		   int   numberP() {return 1;}
		double getnumber() {return int_;}
		 NodeP    number() {return this;}

		OPERATORS_DECL
		int compare(NodeP nd);
		int _sizeof();
		StringP _typeof();
		double _min(double d), _max(double d);
		NodeP Norm(), maxNorm(), 
			item(NodeP index, NodeP result),
			bititem(NodeP index),
			setitem(NodeP index, NodeP newitem, bool safe),
			memberP(NodeP subobj, bool notp, bool substr),
			readbin(FileP file);
		PairP list();

		static short clip(double d), clip(int i);
};

	#define Int16_included
#endif
