
class IntToPtr
{
	class PtrIntPair;
	typedef PtrIntPair *PtrIntPairP;

	class PtrIntPair
	{
	public:
		int i;
		void *p;
		PtrIntPairP tail;

		PtrIntPair(void *p_, int i_, PtrIntPairP tail_):
			p(p_), i(i_), tail(tail_)
		{}

		~PtrIntPair() {if (tail) delete tail;}
	};

	int size, nr;
	PtrIntPairP *data;

public:
	IntToPtr(): size(0), nr(0), data(0) {}
	IntToPtr(int size_);
	~IntToPtr();

	int hash(int i);
	void *find(int i);
	void insert(void *p);
	
	wxDataInputStream &readNodes(wxDataInputStream &istr);
};
