
namespace std
{
class OFStream: public std::ofstream
{
	bool binary;

public:
	OFStream(const char* szName, 
		int nMode = std::ios::out):
	ofstream(szName, nMode)
	{	binary = (nMode & ios::binary) !=0;
	}

	OFStream &operator <<(char n)
	{	if (binary)
			write(&n, sizeof(char));
		else
			ofstream::operator<<(n);
		return *this;
	}

	OFStream &operator <<(short n)
	{	if (binary)
			write((char*)(&n), sizeof(short));
		else
			ofstream::operator<<(n);
		return *this;
	}

	OFStream &operator <<(int n)
	{	if (binary)
			write((char*)(&n), sizeof(int));
		else
			ofstream::operator<<(n);
		return *this;
	}

	OFStream &operator <<(double n)
	{	if (binary)
			write((char*)(&n), sizeof(double));
		else
			ofstream::operator<<(n);
		return *this;
	}

};
}

typedef std::OFStream OFStream;
