#ifndef Node_included
	#include "Node.h"
#endif

//#ifndef Bitmap_included
class wxTextInputStream;
class wxTextOutputStream;

class Bitmap: public Node
{
	public:
		unsigned int width, height, winx,winy;
		Color *pixels;

	public:
		static const Bitmap aBitmap;

		operator_new;
		Bitmap(): Node(BITMAP_), 
			width(0),height(0), winx(0),winy(0), pixels(0) {}
		Bitmap(int width_, int height_, 
			int winx_, int winy_, Color *pixels_);

		void free();

		wxTextInputStream &read(wxTextInputStream &istr);
		wxDataInputStream &read(wxDataInputStream &istr);
		wxTextOutputStream &write(wxTextOutputStream &ostr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);

		StringP string();
		StringP _typeof();

		void makeTransparent(Color c);
		void setPixel(int x, int y, Color c);
		Color Pixel(int x, int y);
};

#define Bitmap_included
//#endif
