
class PtrToString
{
	class PtrStringPair;
	typedef PtrStringPair *PtrStringPairP;

	class PtrStringPair
	{
	public:
		wxString s;
		void *p;
		PtrStringPairP nxt, tail;

		PtrStringPair(void *p_, wxString &s_, PtrStringPairP tail_);
		~PtrStringPair() {if (tail) delete tail;}
	};

	int size, nr;
	PtrStringPairP *data, start, last;

public:
	PtrToString(): size(0), nr(0), data(0), start(0), last(0) {}
	PtrToString(int size_);
	PtrToString(int size_, PrimType *primitives);
	~PtrToString();

	int Nr() {return nr;}
	int hash(void *p);
	wxString find(void *p);
	void insert(void *p, wxString s);
	void insertPrimitives();
};
