//___________________________________________________________________
//
//                         Class Screen
//___________________________________________________________________

class Rect {public: int left, top, right, bottom;};

class Screen_: public Point
{
	public:
		bool perspective, textured;
		int sx, sy, winsizex,winsizey, winrangex, winrangey;
		Color color;
		double distance;

		Point Min, Max, size,
			scale, center, center0,
			eye, center3d, up;

		Matrix base, base_scaled;

		int viewport[4];
		double modelview_matrix[16], projection_matrix[16];

		Screen_ *parent;
	

		Screen_();
		~Screen_();

		Screen_ &operator=(const Screen_ &b); // Treacherous! Only use if you know what you do

		void 
			create(Screen_ *_parent),
			create(int sx, int sy),
			destroy();

		bool setCoors(Rect &rect);

		Point 
			rotate(Point &point),
			rotateNotScaled(Point &point);

		void 
			map(Point &point), 
			setEye(Point eye_, Point center3d_, Point up_),
			setEye(),
			getMatrices(),
			reset3dCoors();
		NodeP matrix();
			
		//_________________________machine-specific_______________________

		void clear();
		void setColor(Color c); 

		wxTextInputStream &read(wxTextInputStream &istr);
		wxDataInputStream &read(wxDataInputStream &istr);
		wxTextOutputStream &write(wxTextOutputStream &ostr);
		wxDataOutputStream &write(wxDataOutputStream &ostr);
};
